Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.corba
Class UlcCorbaTransport

    java.lang.Object
      |
      +--com.ibm.ulc.comm.UlcTransport
            |
            +--com.ibm.ulc.corba.UlcCorbaBasedTransport
                  |
                  +--com.ibm.ulc.corba.UlcCorbaTransport

public class UlcCorbaTransport
extends UlcCorbaBasedTransport

An implemention for ULC transports using CORBA.

See Also:
  `UlcTransport`, Serialized Form

Fields inherited from class com.ibm.ulc.corba.UlcCorbaBasedTransport
`fReceiver, fReceiverIOR, fSender`

Fields inherited from class com.ibm.ulc.comm.UlcTransport
`fConnection, fgDebug, fTerminated, fWriterQueue`

Constructor Summary
`UlcCorbaTransport()` UlcCorbaTransport constructor.
`UlcCorbaTransport(java.lang.String urlString)` UlcCorbaTransport constructor.
`UlcCorbaTransport(com.ibm.ulc.corba.generated.UlcCorbaObject sender, UlcCorbaServant receiver, java.lang.String receiverIOR)` UlcCorbaTransport constructor.

Method Summary
`protected void` | `sendDirect(Request r, boolean flush)`
`UlcCorbaServant` | `startReceiver()`
`com.ibm.ulc.corba.generated.UlcCorbaObject` | `startSender()`

Methods inherited from class com.ibm.ulc.corba.UlcCorbaBasedTransport
`getLocalUrlString, getOrb, initPeerConnection, readsAsynch, stopReceiver, stopSender, termPeerConnection, writesAsynch`

Methods inherited from class com.ibm.ulc.comm.UlcTransport
`close, create, getConnection, getHost, getPort, getProperties, getRemoteUrlString, getUrlFile, getUrlString, receive, send, setConnection, setUrlString, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UlcCorbaTransport

    public UlcCorbaTransport()

  UlcCorbaTransport constructor.

### UlcCorbaTransport

    public UlcCorbaTransport(com.ibm.ulc.corba.generated.UlcCorbaObject sender,
                             UlcCorbaServant receiver,
                             java.lang.String receiverIOR)

  UlcCorbaTransport constructor. Will use the passed in Corba client object.
  Parameters:
    `sender` - com.ibm.ulc.corba.UlcCorbaObject
    `receiver` - com.ibm.ulc.corba.UlcCorbaServant
    `receiverIOR` - java.lang.String

### UlcCorbaTransport

    public UlcCorbaTransport(java.lang.String urlString)

  UlcCorbaTransport constructor. Will use the passed in URL to create a connection to a Corba servant object.
  Parameters:
    `urlString` - java.lang.String

Method Detail

### sendDirect

    protected void sendDirect(Request r,
                              boolean flush)

  Overrides:
    sendDirect in class UlcCorbaBasedTransport

### startReceiver

    public UlcCorbaServant startReceiver()
                                  throws UlcTransportException

  Overrides:
    startReceiver in class UlcCorbaBasedTransport

### startSender

    public com.ibm.ulc.corba.generated.UlcCorbaObject startSender()
                                                           throws UlcTransportException

  Overrides:
    startSender in class UlcCorbaBasedTransport

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD